package model

type ItemModel struct {
	Id    string
	Label string
}

type ItemModelList struct {
	DataList []*ItemModel
}

func NewItemModelList() *ItemModelList {
	return &ItemModelList{
		DataList: make([]*ItemModel, 0),
	}
}

func (s *ItemModelList) AsInterfaceArray() []interface{} {
	rs := make([]interface{}, len(s.DataList))
	for i, v := range s.DataList {
		rs[i] = v
	}
	return rs
}